# class RSS::Maker::ITunesItemModel::ITunesDurationBase

### Attributes

content[R]

### Public Instance Methods

content=(content) click to toggle source

    # File lib/rss/maker/itunes.rb, line 183
    def content=(content)
      if content.nil?
        @hour, @minute, @second, @content = nil
      else
        @hour, @minute, @second =
          ::RSS::ITunesItemModel::ITunesDuration.parse(content)
        @content = content
      end
    end

hour=(hour) click to toggle source

    # File lib/rss/maker/itunes.rb, line 193
    def hour=(hour)
      @hour = Integer(hour)
      update_content
    end

minute=(minute) click to toggle source

    # File lib/rss/maker/itunes.rb, line 198
    def minute=(minute)
      @minute = Integer(minute)
      update_content
    end

second=(second) click to toggle source

    # File lib/rss/maker/itunes.rb, line 203
    def second=(second)
      @second = Integer(second)
      update_content
    end

to_feed(feed, current) click to toggle source

    # File lib/rss/maker/itunes.rb, line 208
    def to_feed(feed, current)
      if @content and current.respond_to?(:itunes_duration=)
        current.itunes_duration ||= current.class::ITunesDuration.new
        current.itunes_duration.content = @content
      end
    end

### Private Instance Methods

update_content() click to toggle source

    # File lib/rss/maker/itunes.rb, line 216
    def update_content
      components = [@hour, @minute, @second]
      @content =
        ::RSS::ITunesItemModel::ITunesDuration.construct(*components)
    end